Subject: Re: [TR] Pertronix

From: Paul Tegler <[email-masked]>
Date: Sat, 26 Dec 2020 16:06:56 -0500

the 142 is the same unit as the spitfire 25D4 dist....

cheapest place I've ever found for my Pertronix modules.... direct link 
to the list...more by dist type than just car (and or 4/6 pot etc)

https://vintageperformance.com/retrorockets/triumph.htm 
<https://vintageperformance.com/retrorockets/triumph.htm>

nfi just a satisfied customer (many multiple times)

ptegler

On 12/26/2020 3:27 PM, Jim Henningsen wrote:
> Ok, it's the day after Christmas and time to get back to work on the cars.
> I see that Pertronix now makes Ignitor II and III modules for more features
> and protection (in case you leave ignition key on).  However, I don't see
> them in stock anywhere for the TR4A.  Per the Pertronix.com site, the
> original is LU-142A, II  9LU-142A, and III 7LU-142A.  They are listed for
> sale on that site, but our, now two, big vendors in USA don't have it
> listed.
>
> Anyone have experience with the II or III unit on a TR3, 3A, 4 or 4A?  Just
> curious if they are all sold out.
>
> Thanks,
> Jim Henningsen
> Ocala FL
> 61 3A
> 62 4
> 67 4A
> 76 6
> 81 8
>
> ** [email-masked] **
>
> Donate: http://www.team.net/donate.html
> Archive: http://www.team.net/pipermail/triumphs  http://www.team.net/archive
>
> Unsubscribe/Manage: http://autox.team.net/mailman/options/triumphs/[email-masked]

-- 
Paul Tegler
[email-masked]  www.teglerizer.com

** [email-masked] **

Archive: http://www.team.net/pipermail/triumphs  http://www.team.net/archive